function c_zscore = circ_zscore(thetas)


cmeans = circmean(thetas);


csem = circstd(thetas);
dif = (thetas-repmat(cmeans,size(thetas,1),1));
c_zscore = dif./repmat(csem,size(thetas,1),1);



end



% Calculates mean direction
function[cmean] = circmean(theta) %from Fisher p. 31
C = nansum(cos(theta),1);
S = nansum(sin(theta),1);
cmean = zeros(1,size(theta,2));

inds = (S > 0) & (C > 0); %case 1
cmean(inds) = atan(S(inds)./C(inds));

inds = C < 0; %case 2
cmean(inds) = atan(S(inds)./C(inds)) + pi;

inds = (S < 0) & (C > 0); %case 3
cmean(inds) = atan(S(inds)./C(inds)) + 2*pi;
end


% Calculates Circular Standard Deviation
function[v_minor] = circstd(theta) %from Fisher p. 32
C = nansum(cos(theta),1);
S = nansum(sin(theta),1);
R = sqrt(C.^2 + S.^2);
n = size(theta,1);
R_bar = R./n;
V = 1 - R_bar;
v_minor = (-2*log(1-V)).^(1/2);
end