function dif = pointing_error_v2(fname)
% returns degrees
data = importdata(fname);
choice = normalize_angle(data.data(2,1));
goal_x = data.data(1,1);
goal_y = data.data(1,2);
my_x = data.data(2,2);
my_y = data.data(2,3);

dif = pointing_task(choice,my_x,my_y,goal_x,goal_y,15);
disp(dif)
dif = deg2rad(dif);

end


function pointing_dif = pointing_task(compass_angle,my_x,my_y,goal_x,goal_y,side_length)
%disp(compass_angle)
% mypos & goal found lines 528 to 557 in magellan_memory

% 
% TL-7.12.10- Created
% TL-7.19.10- Worked on bug when building spans two quadrants, mathematical
% errors, angle normalization
% TL-7.22.10- Corrected normalization code

position = [my_x;my_y]; %[-20;-20];
center = [goal_x; goal_y] ; %[0;0];

corners = building_rep(center,side_length);

mod_corners = relative_corners(position,corners);

angles = find_angles(mod_corners);
% disp(angles)
% 
% figure
% plot(corners(1,:),corners(2,:),'ok',position(1,1),position(2,1),'or',((1:100)*cos(deg2rad(compass_angle)))+my_x,my_y+((1:100)*sin(deg2rad(compass_angle))),'-b')
% xlim([-90 90])
% ylim([-90 90])

if (deg2rad(compass_angle)>=deg2rad(min(angles))) && (deg2rad(compass_angle)<=deg2rad(max(angles)))
    pointing_dif = 0;
else
    
    temp = abs(angles-compass_angle);
    
    if temp(1)>180
        temp(1)=360-temp(1);
    end
    
    if temp(2)>180
        temp(2)=360-temp(2);
    end
    
    
    pointing_dif = min(temp);
end

end

function [corners] = building_rep(center,side_length)

corners = repmat(center,1,4);
dist = side_length/2;
corners(:,1) = [corners(1,1)+dist;corners(2,1)+dist];
corners(:,2) = [corners(1,2)-dist;corners(2,2)+dist];
corners(:,3) = [corners(1,3)+dist;corners(2,3)-dist];
corners(:,4) = [corners(1,4)-dist;corners(2,4)-dist];

end

function [mod_corners] = relative_corners(position, corners)

position2 = repmat(position,1,4);

mod_corners = corners-position2;

end


function [min_max]= find_angles(mod_corners)
%
% x x x x
% y y y y 
% 
% returns degrees
%
angles = normalize_angle(rad2deg(atan2(mod_corners(2,:),mod_corners(1,:))));
min_max = [min(angles); max(angles)];
end

function[theta] = normalize_angle(theta)
for i = 1:length(theta)
while theta(i) < 0
    theta(i) = theta(i) + 360;
end
while theta(i) > 360
    theta(i) = theta(i) - 360;
end
end
end

