function pointing_dif = pointing_task(compass_angle,my_x,my_y,goal_x,goal_y,side_length)

% mypos & goal found lines 528 to 557 in magellan_memory

% 
% TL-7.12.10- Created
% TL-7.19.10- Worked on bug when building spans two quadrants, mathematical
% errors, angle normalization

position = [my_x;my_y]; %[-20;-20];
center = [goal_x; goal_y] ; %[0;0];

corners = building_rep(center,side_length);
mod_corners = relative_corners(position,corners);
angles = find_angles(mod_corners);
compass_angle = normalize_angle(compass_angle);
%pointing_dif = NaN;

if (deg2rad(compass_angle)>=deg2rad(angles(1))) && (deg2rad(compass_angle)<=deg2rad(angles(2)))
    pointing_dif = 0;
else
    
    temp = abs(angles-compass_angle);
    
    if temp(1)>180
        temp(1)=360-temp(1);
    end
    
    if temp(2)>180
        temp(2)=360-temp(2);
    end
    
    
    pointing_dif = min(temp);
end



end

function [corners] = building_rep(center,side_length)

corners = repmat(center,1,4);
dist = side_length/2;
corners(:,1) = [corners(1,1)+dist;corners(2,1)+dist];
corners(:,2) = [corners(1,2)-dist;corners(2,2)+dist];
corners(:,3) = [corners(1,3)+dist;corners(2,3)-dist];
corners(:,4) = [corners(1,4)-dist;corners(2,4)-dist];
disp(corners)

end

function [mod_corners] = relative_corners(position, corners)

position2 = repmat(position,1,4);

mod_corners = corners-position2;

end


function [min_max]= find_angles(mod_corners)
%
% x x x x
% y y y y 
% 
% in rads
%
angles = normalize_angle(rad2deg(atan2(mod_corners(2,:),mod_corners(1,:))));
disp(angles)
min_max = [min(angles); max(angles)];
end

function[theta] = normalize_angle(theta)
while theta < 0
    theta = theta + 360;
end
while theta > 360
    theta = theta - 360;
end
end

