# General
FOV = 40

# Avatar - New setting
linearAcceleration = 8.0
fullForwardSpeed   = 13.0
fullBackwardSpeed  = -13.0
turningSpeed       = 20
turningAcceleration = 35
turningStopAcceleration = 40
fullTurningSpeed   = 30
turningLinearSpeed = 0.5 # Factor
maxTurningLinearSpeed = 15.0 #Adjust with game-play
minTurningLinearSpeedReqd = 1.0
minTurningLinearSpeed = 3.0
minTurningLinearSpeedIncrement = 1.0
initialPos         = Point3(0, 0, 1)
avatarRadius       = 0.5
avatarModel         = 'models/props/dail.egg'
compassModel        = "models/props/arrow.egg"
cameraPos          = Point3(0, -3.5, 1)
friction           = 0.4

doTimer = True

# Input
keyboard = Keyboard.getInstance()
keyboard.bind("dismiss", "enter")
keyboard.bind("exit", ["escape", "f1"])
keyboard.bind("clearText",['enter'])
keyboard.bind("overhead","f2")
keyboard.bind('skipSFP',['shift-s'])
joystick = Joystick.getInstance()
joystick.bind('clearText',['joy_button0'])

# Instructions
instructSize    = 0.1
instructFont    = '/Library/Fonts/Verdana.ttf'
instructBgColor = Point4(0, 0, 0, 1)
instructFgColor = Point4(1, 1, 1, 1)
instructMargin  = 0.06
instructSeeAll  = False

practInstructFile = './text/practice_instructions.english'
spfInstructFile = './text/volbit_timed_instructions.english'
sessionReadyText = "./text/navigation_instructions.english"
envEndInstruct = "./text/environment_end_instructions.english"
welcomeBackInstruct = "./text/welcome_back_instruct.english"

# on screen text
encoding = "utf-8"
destText = u'Please find the %s.\nPress the button on the controller to continue.'
destOverlay = u'Find %s'
practReadyText = u'Press the button on the controller to begin the practice session.'
practDelivText = u'Great job!  50 points have been added to your score.\nPress the button on the controller to continue.'
endText = u'You have completed the session!'
compassInstructBefore = "Please use the controller to point to %s. \n Press the button on the controller to continue."
compassInstructAfter = "50 points will be added to your score when you find %s. Press the button on the controller to continue."
# initial money counter
initialMoney = 300

# image presentation
timeOnScreen = 2000 # ms

storeDir = './models/stores/s-512x256.egg'
buildingDir = './models/buildings'
storeTexDir = './models/stores/textures/'
buildingTexDir = './models/buildings/textures/' # the '/' in the end is important now, will make the code more robust later

numStores = 5
numBuildings = 31
listLength = 4 # must be at least one fewer than numStores

storeLocs = []
buildingLocs = []

storeRadius = 10 
# objects
collision_box = './models/collision_box/box.egg'

# town and sky
townModel = './models/towns/yc_town.egg'
skyModel = './models/sky/sky.egg'

# session info
numSessions = 2

# Set true/false for each session
sessionDone = [False, False]
# A practice session for each environment
doPractice = True
envDone = [[False, False, False, False], [False,False,False,False]]
# if pract false, set length to 0, this gives number of times to practice
practLength = [1,1,1,1]
boundaryWallPath = './models/towns/boundary_wall_practice.egg'

# store front practice (SFP) info
# Showing of all the building when the session starts
doSFP = True #TODO: Crashes of set to false (check invalid allocation)
sfpPos = Point3(0, 20, 0)
sfpBackground = './models/props/sfpBackground.egg'
sfpRepeatTimes = 3  # Starts with 0 index

overLayInstruct = 'Welcome to %s'
overLayBGColor = Point4(0, 0, 0, 0.5)

# Controller type
# If this variable is contained in the config file, then the smooth controller would be used
# else the default controller would be used
# But the controller parameter need to be changed manually 
smoothController = None

# Path for automatic logging
# This path should be the folder that contains all the subjectName folders
dataDirPath = 'data/'
maxBonus = 5.0